#!/bin/bash
# This is a script which will be launched by the software-packages plugin
# prior to starting the RPM install transaction.
# The caller of this script expects the services to be stopped after its
# execution.

# services should be stopped prior to installing RPMs.
/bin/service-control --stop --all

# PR 2059696 - In mulistep patches we need to disable vami.lighttp
# service so that it is enabled by applmgmt when it has got all
# dependency files(certificates in this specific case as per the PR)

# Stop vami-lighttp
systemctl stop vami-lighttp

# Do not start vami-lighttp until it's configured
systemctl disable vami-lighttp

# PR 1324322 - Workaround for upgrading kernel RPMs.
# This directory must exist when the kernel rpms are being installed
# in order for the grub menu.lst file to be updated.
mkdir -p /var/log/YaST2/

exit $?
