"""
    This script is executed by the `software-packages` command.

    vcenter product produces one patch payload with semantically different two
    kind of patch scripts logic - day0 patching and B2B patching. This script
    decided if day0 patching or b2b patching needs to be applied based on
    environment variable VMWARE_B2B.
"""
import logging
import os
logger = logging.getLogger(__name__)

if os.environ.get('VMWARE_B2B') == '1':
    logger.debug("Apply B2B patching")
    from update_script_b2b import *
else:
    logger.debug("Apply day0 patching")
    from update_script_day0_patching import *