create or replace FUNCTION l_purge_stat2_proc()
 RETURNS VOID
 
 
 
 
     
    AS $procedure$
    DECLARE
    v_start  TIMESTAMP;
    v_cnt_1  INTEGER;
    v_cnt_2  INTEGER;
    v_tid_1  INTEGER;
    v_tid_2  INTEGER;
    v_tid_3  INTEGER;
    v_tid_4  INTEGER;
    v_level  CHAR(3);
    v_errnum  VARCHAR(10);
    v_errmsg  VARCHAR(1000);
    v_chk  VARCHAR(200);
 BEGIN
 
    v_errnum := '00000';
 
     
     
     
     
     
     
 
    select   SUBSTR(value,1,3) INTO v_level
      from vpx_parameter
     where name = 'DBProc.Log.Level.Stats.Purge2';
 
     
    v_level := coalesce(v_level,'ERR');
 
     
    IF v_level in('INF','CHK') then
          select count(*) INTO v_cnt_1
            from VPX_HIST_STAT2;
 
          IF v_level = 'CHK' then
                select min(time_id) INTO v_tid_1
                  from VPX_SAMPLE_TIME2
                  where rollup_counter is NOT NULL;
 
                select min(time_id) INTO v_tid_2
                  from VPX_HIST_STAT2;
          end if;
    end if;
 
     
    v_start := TIMEZONE('UTC',now());
 
    BEGIN
       PERFORM PURGE_STAT2_PROC();
    EXCEPTION
       WHEN OTHERS THEN
          v_errnum := sqlstate;
          v_errmsg := SQLERRM;
    END;
 
     
    IF (v_level = 'OFF') OR (v_level = 'ERR' AND v_errnum = '00000') then
       RETURN;
    end if;
 
     
    insert into vpx_proc_log(proc_name,
                  start_dt,
                  end_dt,
                  err_flag,
                  chk_flag,
                  description)
              values('PURGE_STAT2_PROC',
                  v_start,
                  TIMEZONE('UTC',now()),
                  case v_errnum
                    when '00000' then 'N'
                    else 'Y'
                  end,
                  case v_level
                    when 'CHK' then 'Y'
                    else 'N'
                  end,
                  case v_errnum
                    when '00000' then v_level
                    else 'Error:' || v_errnum || ' :' || coalesce(v_errmsg, '')
                  end);
 
     
     
    IF v_level in('INF','CHK') then
          select count(*) INTO v_cnt_2
            from VPX_HIST_STAT2;
 
          IF v_level = 'CHK' then
                select min(time_id) INTO v_tid_3
                  from VPX_SAMPLE_TIME2
                 where rollup_counter is not NULL;
 
                select min(time_id) INTO v_tid_4
                  from VPX_HIST_STAT2;
 
                v_chk := SUBSTR(cast(v_tid_1 as VARCHAR(30)),1,30) || ',' || SUBSTR(cast(v_tid_2 as VARCHAR(30)),1,30)
                || ';' || SUBSTR(cast(v_tid_3 as VARCHAR(30)),1,30) || ',' || SUBSTR(cast(v_tid_4 as VARCHAR(30)),1,30);
 
                IF v_tid_1 = v_tid_2 AND v_tid_3 = v_tid_4 then
                   v_chk := 'OK! ' || coalesce(v_chk,'');
                ELSE
                   v_chk := '*** ' || coalesce(v_chk,'');
                end if;
          end if;
 
          update vpx_proc_log
             set src_rows = coalesce(v_cnt_1 -v_cnt_2,0),
                 chk_results = v_chk
           where proc_name = 'PURGE_STAT2_PROC'
             and start_dt = v_start;
    end if;
 END; $procedure$
 LANGUAGE plpgsql;
 
