create or replace FUNCTION l_stats_rollup3_proc()
 RETURNS VOID
 
 
 
 
 
 
 
    AS $procedure$
     
    DECLARE
    v_start  TIMESTAMP;
    v_cnt_1  INTEGER; 
    v_cnt_2  INTEGER; 
    v_tid_1  INTEGER; 
    v_tid_2  INTEGER; 
    v_tid_3  INTEGER; 
    v_tid_4  INTEGER; 
    v_level  CHAR(3); 
    v_errnum  VARCHAR(10);    
    v_errmsg  VARCHAR(2048);  
 
    v_v_stat_rollup_level  INTEGER;
    v_v_null_device_id  INTEGER;
    v_c1  INTEGER;  
    v_c2  INTEGER;  
    v_c3  INTEGER;  
    v_c4  INTEGER;  
    v_chk  VARCHAR(200); 
 BEGIN
    v_errnum := '00000';
 
     
     
     
     
     
     
 
    select SUBSTR(value,1,3) INTO v_level
      from vpx_parameter
     where name = 'DBProc.Log.Level.Stats.Rollup3';
 
     
    v_level := coalesce(v_level,'ERR');
 
     
    IF v_level in('INF','CHK') then
       select min(time_id) INTO v_tid_1
         from VPX_SAMPLE_TIME3
        where rollup_counter is NULL;
 
       select coalesce(max(time_id),0)+1 INTO v_tid_3
         from VPX_SAMPLE_TIME4;
 
       IF v_level = 'CHK' then
          select count(*) INTO v_c3
            from VPX_HIST_STAT4;
       end if;
    end if;
 
     
    v_start := TIMEZONE('UTC',now());
 
    BEGIN
       PERFORM STATS_ROLLUP3_PROC();
    EXCEPTION
       WHEN OTHERS THEN
          v_errnum := sqlstate;
          v_errmsg := SQLERRM;
    END;
 
     
    IF (v_level = 'OFF') OR (v_level = 'ERR' AND v_errnum = '00000') then
       RETURN;
    end if;
 
     
    insert into vpx_proc_log(proc_name,
                  start_dt,
                  end_dt,
                  err_flag,
                  chk_flag,
                  description)
              values('STATS_ROLLUP3_PROC',
                  v_start,
                  TIMEZONE('UTC',now()),
                  case v_errnum
                    when '00000' then 'N'
                    else 'Y'
                  end,
                  case v_level
                    when 'CHK' then 'Y'
                    else 'N'
                  end,
                  case v_errnum
                    when '00000' then v_level
                    else 'Error:' || v_errnum || ' :' || coalesce(v_errmsg, '')
                  end);
 
     
     
     
    IF v_level in('INF','CHK') then
       select max(time_id) INTO v_tid_2
         from VPX_SAMPLE_TIME3
        where rollup_counter is not NULL;
 
       select max(time_id) INTO v_tid_4
         from VPX_SAMPLE_TIME4;
 
       select count(1) INTO v_cnt_1
         from VPX_HIST_STAT3
        where time_id between v_tid_1 and v_tid_2;
 
       select count(1) INTO v_cnt_2
         from VPX_HIST_STAT4 where time_id between v_tid_3 and v_tid_4;
 
       IF v_level = 'CHK' then
          select stats_level INTO v_v_stat_rollup_level
            from vpx_stat_interval_def
           where interval_seq_num = 4;
 
          select device_id INTO v_v_null_device_id
            from vpx_device where device_name = '';
 
          
          select count(1) INTO v_c1
            FROM vpx_stat_counter c, vpx_stat_def d, VPX_HIST_STAT3 s
           WHERE s.counter_id = c.counter_id
             AND c.stat_id = d.id
             AND s.time_id between v_tid_1 and v_tid_2
             AND ((c.device_id = v_v_null_device_id and d.stat_level <= v_v_stat_rollup_level)
               OR (c.device_id != v_v_null_device_id and d.perdevice_stat_level <= v_v_stat_rollup_level));
 
          
          select sum(cnt) INTO v_c2
            FROM
          (SELECT count(distinct s.counter_id) AS cnt
             FROM vpx_stat_counter c, vpx_stat_def d,
                  VPX_HIST_STAT3 s, VPX_SAMPLE_TIME3 t
            WHERE s.counter_id = c.counter_id
              AND c.stat_id = d.id
              AND t.time_id = s.time_id
              AND s.time_id between v_tid_1 and v_tid_2
              AND ((c.device_id = v_v_null_device_id and d.stat_level <= v_v_stat_rollup_level)
                OR (c.device_id != v_v_null_device_id and d.perdevice_stat_level <= v_v_stat_rollup_level))
            GROUP BY t.rollup_counter) t;
 
          select count(*) INTO v_c4
            from VPX_HIST_STAT4;
 
          v_chk := SUBSTR(cast(v_c1 as VARCHAR(30)),1,30) || ',' || SUBSTR(cast(v_c2 as VARCHAR(30)),1,30)
          || ';  ' || SUBSTR(cast(v_c3 as VARCHAR(30)),1,30) || ',' || SUBSTR(cast(v_c4 as VARCHAR(30)),1,30)
          || ';  ' || SUBSTR(cast(v_tid_1 as VARCHAR(30)),1,30) || ',' || SUBSTR(cast(v_tid_2 as VARCHAR(30)),1,30);
 
          
          
          
          
          IF v_c1 = v_cnt_1 AND v_c2 = v_cnt_2 AND v_c2 = v_c4 -v_c3 then
             v_chk := 'OK! ' || coalesce(v_chk,'');
          ELSE
             v_chk := '*** ' || coalesce(v_chk,'');
          end if;
       end if;
       update vpx_proc_log
          set src_rows = coalesce(v_cnt_1,0),
              tgt_rows = coalesce(v_cnt_2,0),
              chk_results = v_chk
        where proc_name = 'STATS_ROLLUP3_PROC'
          and start_dt = v_start;
    end if;
 END; $procedure$
 LANGUAGE plpgsql;
 
